Bug 170524 - "auth include service=system-auth" breaks consolehelper
"auth include service=system-auth" breaks consolehelper
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
https://www.redhat.com/archives/fedor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 12:01 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-13 08:39:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2005-10-12 12:01:53 EDT
Description of problem:
If you've for example the following situation:

--- /dev/null                           2005-08-30 23:51:26.920796000 +0200
+++ /etc/security/console.apps/yum      2005-10-06 00:14:48.000000000 +0200
@@ -0,0 +1,4 @@
+USER=root
+PROGRAM=/usr/sbin/yum
+GUI=no
+SESSION=true

--- /dev/null                           2005-08-30 23:51:26.920796000 +0200
+++ /etc/pam.d/yum                      2005-10-06 00:14:48.000000000 +0200
@@ -0,0 +1,8 @@
+#%PAM-1.0
+auth       sufficient   pam_rootok.so
+auth       sufficient   pam_timestamp.so
+auth       include      service=system-auth
+session    required     pam_permit.so
+session    optional     pam_xauth.so
+session    optional     pam_timestamp.so
+account    required     pam_permit.so

then consolehelper won't work at calling yum as non-root user (symlink from 
yum to consolehelper has to exist, of course).

But if you've got:

--- /dev/null                           2005-08-30 23:51:26.920796000 +0200
+++ /etc/pam.d/yum                      2005-10-06 00:14:48.000000000 +0200
@@ -0,0 +1,8 @@
+#%PAM-1.0
+auth       sufficient   pam_rootok.so
+auth       sufficient   pam_timestamp.so
+auth       required     pam_stack.so service=system-auth
+session    required     pam_permit.so
+session    optional     pam_xauth.so
+session    optional     pam_timestamp.so
+account    required     pam_permit.so

then consolehelper will work. But last method (using pam_stack.so) is (will 
be) deprecated and obsoleted, as Tomas Mraz wrote at fedora-devel-list (see 
archives/fedora-devel-list/2005-October/msg00050.html).

Version-Release number of selected component (if applicable):
usermode-1.81-1
pam-0.80-9

How reproducible:
Everytime, see above.

Actual results:
consolehelper doesn't work as expected

Expected results:
consolehelper should work as expected
Comment 1 Jindrich Novy 2005-10-13 08:28:06 EDT
Ok, this looks like a PAM thing, reassigning to PAM. If not, please reassign back.
Comment 2 Tomas Mraz 2005-10-13 08:39:47 EDT
You have the syntax wrong.

Use: 'auth       include      system-auth'

Also the configuration utilites should use this simple pam config instead of
explicitely calling pam_timestamp and so on:

#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util

The config-util file is provided by pam >= 0.80-9

Note You need to log in before you can comment on or make changes to this bug.